<?php

if ( !empty($category_id) )
{
global $show_state;
if(!$show_state)
{
	$sql = "SELECT f.*,c.cat_title
		FROM " . FORUMS_TABLE . " f, ".CATEGORIES_TABLE." c 
		WHERE f.cat_id = $category_id AND c.cat_id=f.cat_id order by forum_posts desc limit 4";
}
else
{
	$sql = "SELECT f.*,c.cat_title
		FROM " . FORUMS_TABLE . " f, ".CATEGORIES_TABLE." c 
		WHERE f.cat_id = $category_id AND c.cat_id=f.cat_id order by forum_posts desc";

}
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not obtain forums information', '', __LINE__, __FILE__, $sql);
	}
}
else
{
	message_die(GENERAL_MESSAGE, 'Forum_not_exist');
}

//
// If the query doesn't return any rows this isn't a valid forum. Inform
// the user.
//
while ($row = $db->sql_fetchrow($result))
{
    $cat_name=$row['cat_title'];
		$template->assign_block_vars('topicrow', array(
			'ROW_COLOR' => $row_color,
			'ROW_CLASS' => $row_class,
			'FORUM_ID' => $row['forum_id'],
			'TOPIC_ID' => $topic_id,
			'TOPIC_FOLDER_IMG' => $folder_image, 
			'TOPIC_AUTHOR' => $topic_author, 
			'GOTO_PAGE' => $goto_page,
			'TOPIC_DESC' => $row['forum_desc'],
			'REPLIES' => $row['forum_topics'],
			'NEWEST_POST_IMG' => $newest_post_img, 

			'TOPIC_ATTACHMENT_IMG' => topic_attachment_image($topic_rowset[$i]['topic_attachment']),
			'TOPIC_TITLE' => $row['forum_name'],
			'TOPIC_TYPE' => $topic_type,
			'VIEWS' => $row['forum_posts'],
			'FIRST_POST_TIME' => $first_post_time, 
			'LAST_POST_TIME' => $last_post_time, 
			'LAST_POST_AUTHOR' => $last_post_author, 
			'LAST_POST_IMG' => $last_post_url, 

			'L_TOPIC_FOLDER_ALT' => $folder_alt, 

			'U_VIEW_TOPIC' => append_sid("viewforum.$phpEx?f=".$row['forum_id']."&ru=".$row['forum_id']."#autoancer", true)
			
			)
		);
}
if(!$show_state)
{
    $cat_name='Others';
		$template->assign_block_vars('topicrow', array(
			'ROW_COLOR' => $row_color,
			'ROW_CLASS' => $row_class,
			'FORUM_ID' => 0,
			'TOPIC_ID' => 0,
			'TOPIC_FOLDER_IMG' => $folder_image, 
			'TOPIC_AUTHOR' => '', 
			'GOTO_PAGE' => '',
			'TOPIC_DESC' => 'Other topics',
			'REPLIES' => '',
			'NEWEST_POST_IMG' => $newest_post_img, 

			'TOPIC_ATTACHMENT_IMG' => topic_attachment_image($topic_rowset[$i]['topic_attachment']),
			'TOPIC_TITLE' => 'Others',
			'TOPIC_TYPE' => '',//$topic_type,
			'VIEWS' => '',//$row['forum_posts'],
			'FIRST_POST_TIME' => $first_post_time, 
			'LAST_POST_TIME' => $last_post_time, 
			'LAST_POST_AUTHOR' => $last_post_author, 
			'LAST_POST_IMG' => $last_post_url, 

			'L_TOPIC_FOLDER_ALT' => $folder_alt, 

			'U_VIEW_TOPIC' => append_sid("viewforum.$phpEx?f=$f&show_state=1&ru=".$row['forum_id']."#autoancer", true)
			
			)
		);
}
//
// Start session management
//
if($main_header)
{
 $userdata = session_pagestart($user_ip, $forum_id);
 init_userprefs($userdata);
 //
 // End session management
 //

 //
 // Start auth check
 //
 $is_auth = array();
 $is_auth = auth(AUTH_ALL, $forum_id, $userdata, $forum_row);

 if ( !$is_auth['auth_read'] || !$is_auth['auth_view'] )
 {
	if ( !$userdata['session_logged_in'] )
	{
		$redirect = POST_FORUM_URL . "=$forum_id" . ( ( isset($start) ) ? "&start=$start" : '' );
		redirect(append_sid("login.$phpEx?redirect=viewforum.$phpEx&$redirect", true));
	}
	//
	// The user is not authed to read this forum ...
	//
	$message = ( !$is_auth['auth_view'] ) ? $lang['Forum_not_exist'] : sprintf($lang['Sorry_auth_read'], $is_auth['auth_read_type']);

	message_die(GENERAL_MESSAGE, $message);
 }
}
//
// End of auth check
//

$template->set_filenames(array('body' => 'viewforum_body.tpl'));
$orig_word = array();
$replacement_word = array();
obtain_word_list($orig_word, $replacement_word);

if($showsubtoprow==1)
 {$subtoprow=$lang['subtoprow'];}
else
 {$subtoprow='';}


if($showendtable==1)
 {$endtable='</table></td></tr></table>';}
else
 {$endtable='';}
$template->set_filenames(array(
	'body' => 'viewforum_body.tpl')
);
make_jumpbox('viewforum.'.$phpEx);
 
$template->assign_vars(array(
	'FORUM_ID' => $forum_id,
	'FORUM_NAME' => $cat_name,
	'FORUM_DESC' => $cat_name,

	'MODERATORS' => $forum_moderators,
	'POST_IMG' => ( $forum_row['forum_status'] == FORUM_LOCKED ) ? $images['post_locked'] : $images['post_new'],

	'FOLDER_IMG' => $images['folder'],
	'FOLDER_NEW_IMG' => $images['folder_new'],
	'FOLDER_HOT_IMG' => $images['folder_hot'],
	'FOLDER_HOT_NEW_IMG' => $images['folder_hot_new'],
	'FOLDER_LOCKED_IMG' => $images['folder_locked'],
	'FOLDER_LOCKED_NEW_IMG' => $images['folder_locked_new'],
	'FOLDER_STICKY_IMG' => $images['folder_sticky'],
	'FOLDER_STICKY_NEW_IMG' => $images['folder_sticky_new'],
	'FOLDER_ANNOUNCE_IMG' => $images['folder_announce'],
	'FOLDER_ANNOUNCE_NEW_IMG' => $images['folder_announce_new'],

	'L_SUBTOPROW' => $subtoprow,
	'L_ENDTABLE' =>$endtable,
	'L_TOPICS' => $lang['Topics'],
	'L_REPLIES' => $lang['Replies'],
	'L_VIEWS' => $lang['Views'],
	'L_POSTS' => $lang['Posts'],
	'L_LASTPOST' => $lang['Last_Post'], 
	'L_MODERATOR' => $l_moderators, 
	'L_MARK_TOPICS_READ' => $lang['Mark_all_topics'], 
	'L_POST_NEW_TOPIC' => ( $forum_row['forum_status'] == FORUM_LOCKED ) ? $lang['Forum_locked'] : $lang['Post_new_topic'], 
	'L_NO_NEW_POSTS' => $lang['No_new_posts'],
	'L_NEW_POSTS' => $lang['New_posts'],
	'L_NO_NEW_POSTS_LOCKED' => $lang['No_new_posts_locked'], 
	'L_NEW_POSTS_LOCKED' => $lang['New_posts_locked'], 
	'L_NO_NEW_POSTS_HOT' => $lang['No_new_posts_hot'],
	'L_NEW_POSTS_HOT' => $lang['New_posts_hot'],
	'L_ANNOUNCEMENT' => $lang['Post_Announcement'], 
	'L_STICKY' => $lang['Post_Sticky'], 
	'L_POSTED' => $lang['Posted'],
	'L_JOINED' => $lang['Joined'],
	'L_AUTHOR' => $lang['Author'],

	'S_AUTH_LIST' => $s_auth_can, 

	'U_VIEW_FORUM' => append_sid("viewforum.$phpEx?" . POST_FORUM_URL ."=$forum_id"),

	'U_MARK_READ' => append_sid("viewforum.$phpEx?" . POST_FORUM_URL . "=$forum_id&amp;mark=topics"))
);


//
// Parse the page and print
//
$template->pparse('body');

//
// Page footer
//
if($main_footer)
 include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

?>
